package src.com.test
{
	import robotlegs.bender.extensions.eventCommandMap.api.IEventCommandMap;
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;
	import robotlegs.bender.framework.api.IInjector;
	
	import src.com.test.controller.LoadAssetsCommand;
	import src.com.test.events.MyEvent;
	import src.com.test.view.MainView;
	import src.com.test.view.MainViewMediator;

	public class TestConfig implements IConfig
	{
		[Inject]
		public var injector:IInjector;
		
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		[Inject]
		public var commandMap:IEventCommandMap;
		
		public function TestConfig()
		{}
		
		public function configure():void
		{
			commandMap.map(MyEvent.LOAD_ASSETS, MyEvent).toCommand(LoadAssetsCommand);
			mediatorMap.map(MainView).toMediator(MainViewMediator); 
		}
	}
}